/*
 * John William Lynch
 * SE: 450
 * Assignment 3
 * Decorator and Chain of Responsibility pattern applied to unit conversion GUI
 * Due : March 12th, 11:59PM
 */
package Assignment3;
	

/*
 * I based my code off of the TextView Decorator displayed during class.
 * I attempted to contain everything inside of the Converter main class (this class), however I was not able to grab data correctly due to the GUI and data passing
 * For some reason passing the inputField from the JUNIT item to this class kept making it null.
 * Therefore I used the TextView Decorator UML example to call the ConverterGUI class, and from there the decoration happens on the double
 * The main issue is that once this is runned, it will only work right away, and so if I call handlers inside of my main class
 * it will just be inputting a null/zero value and won't rerun if I change the Unit type or numerical value
 * Therefore, for easier access, I placed the Handler and decoration processes inside of the ConverterGUI class
 * It is inside the actionPerformed listener I created, because I did not want the user to have to remake the GUI in 
 * each iteration, rather action performed will see the updated changes and pass it through the handlers and decorators.
 */
public class Converter {
  
	
	public static void main(String[] args) {
    	ConverterGUI ui = new ConverterGUI();
    	
    	/*
    	 * Set the handlers to maintain the three scenarios of Miles, Yards, and Feet
    	 */
    	
    }
	
	//Here you can add method (s) if necessary

}

