/*
 * John William Lynch
 * SE: 450
 * Assignment 3
 * Decorator and Chain of Responsibility pattern
 * UnitHandler class, this is the abstract class that will help handle the various input types:
 * 
 */

/*
 * MILE_Handler class to handle the situation where the user requested item needs to be 
	converted
*/
package Assignment3;

public class MILE_Handler extends UNIT_Handler{

	@Override
	public double HandleRequest(double userRequest, String unitType) {
		//Check if the unitType is actually a mile:
		if (unitType.equals("Mile")) {
			System.out.println("Request handled by " + this .getClass().getName() + " " + unitType);
			//Convert to mile using formula:
			return Double.valueOf(userRequest / 1.609344); 
			
		}
		//Else pass it to a different handler
		else if (successor != null ) {
			successor.HandleRequest(userRequest, unitType);
		}
		
	return successor.HandleRequest(userRequest, unitType);
	
	}
}
