/*
 * John William Lynch
 * SE: 450
 * Assignment 3
 * Decorator and Chain of Responsibility pattern
 * UnitHandler class, this is the abstract class that will help handle the various input types:
 * 
 */
package Assignment3;

public abstract class UNIT_Handler {
	
	protected UNIT_Handler successor;
	
	public void SetSuccessor (UNIT_Handler successor) 
	{
		this.successor = successor;
	}
	
	
	//We need to check the type here: ie if it is Mile, Yard, or Foot, and then convert based on that
	/*
	I had to implement this as a double as based on the Assignment PDF, the number is supposed
	to be converted DURING the handler operations (Given from Image 1 in the CHain of Responsibility Pattern)
	because of this, I was not able to use void handlers, as although it did work with input properly
	the number was never converted.
	Therefore, when the user passes over the value and unitType it will take them in and
	return the value if it is succesfully passed up the chain of command.
	*/
	
	public abstract double HandleRequest(double userRequest, String unitType);

}
