/*
 * John William Lynch
 * SE: 450
 * Assignment 3
 * Decorator and Chain of Responsibility pattern applied to unit conversion GUI
 * Due : March 12th, 11:59PM
 */

/*
 * This class is a custom double class that will work with the decorator 
 * pattern design. This is because I do not want to try and edit the actual double class,
 * Abstract creation of what we want to decorate
 * This is similar to the Beverage.java file:
 */
package Assignment3;

/*
 * The abstract class that will define the methods that will need to be used 
 * during the decoration process
 */
public abstract class UserDouble {
	
	double doubleInput;
	String measureInput;
	
	public double getDouble() {
		return this.doubleInput;
	}
	public String getMeasureType() {
		return this.measureInput;
	}
	
	public abstract String currentDouble();

	
	
}
