/*
 * John William Lynch
 * SE: 450
 * Assignment 3
 * Decorator and Chain of Responsibility pattern applied to unit conversion GUI
 * Due : March 12th, 11:59PM
 */

package Assignment3;

/*
 * This is the Class that implements the component interface, using a HAS-A relationship
 * can use this for the child decorator classes : Similar to BestCafe java files
 * We can use this to create the concrete decorators for our class:
 * This is similar to the condiment Decorator.java file
 */
public abstract class UserDoubleDecorator extends UserDouble {
	
	public abstract double getDouble();
	
	public abstract String getMeasureType();

}
